# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "mousetool"
version = "0.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Simulate natural mouse movement (Windows only)"
readme = "README.md"
license = "MIT"

[[bin]]
name = "mousetool"
path = "src/main.rs"

[dependencies.clap]
version = "4.6.1"
features = ["derive"]

[dependencies.rand]
version = "0.10.1"
features = [
    "std",
    "thread_rng",
]

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.150"

[dependencies.winapi]
version = "0.3.9"
features = [
    "winuser",
    "wingdi",
    "libloaderapi",
    "errhandlingapi",
]
